Page MenuHomePhabricator

Deprecate and delete mobile-text endpoint
Closed, ResolvedPublic

Description

The mobile-text endpoint was introduced in the early days of the Mobile-Content-Service for experiment purposes and haven't been used ever since. We have to formally deprecate it and remove it from RESTBase and Mobile-Content-Service.

I propose to where an announcement ASAP and aim the actual removal on March 01. According to metrics the endpoint hasn't been used over the last 3 months, but there's been a report when it was silently removed last time (T139029)

@mobrovac @bearND What do you think?

Details

Related Gerrit Patches:
mediawiki/services/mobileapps : masterHygiene: remove mobile-text route

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2017, 10:16 PM
mobrovac triaged this task as Medium priority.Feb 14 2017, 10:20 PM

I agree that we should deprecate and delete it. However, giving just 15 days to people to adapt is not nearly enough. I propose to set the deletion date to 2017-05-01. I can send out the announcement to the relevant mailing lists. @bearND agree?

I propose to set the deletion date to 2017-05-01.

Setting it to May 01 would make us miss the REST API 1.0 quarterly goal if we wanna do the release only after we remove the endpoint. Maybe April 01? 2.5 months for an endpoint that's never used seems like a lot..

I propose to set the deletion date to 2017-05-01.

Setting it to May 01 would make us miss the REST API 1.0 quarterly goal if we wanna do the release only after we remove the endpoint. Maybe April 01? 2.5 months for an endpoint that's never used seems like a lot..

I don't think the deprecation needs to block stabilizing the API as a whole. We will always have unstable and experimental end points, and that's completely okay as part of a stable overall API. Our main goal with declaring 1.0 ready for business is that we do from now on fully commit to our per-endpoint API versioning policy, and let the world know that the API as a whole can be depended upon.

I just modified the query limit from top 20 to top 50 in https://grafana-admin.wikimedia.org/dashboard/db/restbase?panelId=15&fullscreen&from=1487011727424&edit&tab=metrics&to=1487112615220 to see how many external requests we get for mobile-text. I see between 0.02 and 0.30 req/s.

I agree with @mobrovac that March 1st is too aggressive. I could go for something in May or later. I also added a comment in the mentioned task. Hopefully someone subscribed there will chime in with their perspective.

Thanks for the notification via the bug report of last year.
(I registered as @Bgsme at that time).

I am currently still using the mobile-text endpoint.

My Android App „tagorama“ is available as (unreleased) alpha version
in the Google Play Store by now (Germany only).

It’s a spare time project and it has not an active user base, but nonetheless it will break, when you turn off your API.

It is clear to me that the API was experimental.
Nevertheless I would appreciate if I had more than 2 weeks to adapt my code.

1st of May seems reasonable to me.

I hope to find your understanding.
Cheers,
Frank

Thank you for your feedback and understanding @fwunderl. We will announce the removal soon for May 1st.

The deprecation and removal has been announced.

Pchelolo moved this task from doing to blocked on the Services board.Feb 23 2017, 11:32 PM
Pchelolo edited projects, added Services (blocked); removed Services (doing).

Dropping from RESTBase: https://github.com/wikimedia/restbase/pull/812
@bearND Could you drop from MCS as well?

Heads up, the removal will be effective on Monday, 2017-05-08.

Change 352299 had a related patch set uploaded (by BearND; owner: BearND):
[mediawiki/services/mobileapps@master] Hygiene: remove mobile-text route

https://gerrit.wikimedia.org/r/352299

Change 352299 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Hygiene: remove mobile-text route

https://gerrit.wikimedia.org/r/352299

Mentioned in SAL (#wikimedia-operations) [2017-05-08T21:06:24Z] <mobrovac@tin> Started deploy [restbase/deploy@c70a1e1]: Remove the mobile-text end point - T158128

Mentioned in SAL (#wikimedia-operations) [2017-05-08T21:12:47Z] <mobrovac@tin> Finished deploy [restbase/deploy@c70a1e1]: Remove the mobile-text end point - T158128 (duration: 06m 23s)

mobrovac closed this task as Resolved.May 8 2017, 9:36 PM
mobrovac edited projects, added Services (done); removed Patch-For-Review, Services (doing).

Deployed, mobile-text is no longer available publicly.